import {injectLocal, provideLocal} from "@vueuse/core";

const key = Symbol('ANALYSIS_DATA_SERVICE')

export const useProvideAnalysisDataService = (form) => {
    const options = {form}
    provideLocal(key, options)
    return options
}

export const useInjectAnalysisDataService = () => {
    return injectLocal(key)
}